#pragma once

#include <string>
#include <vectors/vec2.h>

namespace render{

class rawImage
{
public:
    rawImage();
    rawImage(const std::string&);
    ~rawImage();

    bool load(const std::string&, bool flip = 0);
    void free();

    vec2u32 size;
    int pixelSize;
    uint8_t *pixeles;
private:
    void *_data;
};

}
